最新版にアップデートしたら”Fatal error”が発生し、ワードプレスにログインできません。



  • 0_1585438817950_無題.png
    jinの最新版にアップデートしたらエラーが発生し、ワードプレスにログインできません。何を行えば良いかわかりません。素人ですみません。
    お手数ですが何をしたら良いか教えてくださいm(__)m


    マニュアル確認済み
    キャッシュクリア済み
    WordPressのバージョン :
    ご利用のサーバー名 :
    PHPのバージョン :
    OS :
    ご利用のブラウザ :
    該当サイトのURL :



  • 最新版にアップデートしたら”Fatal error”が発生し、ワードプレスにログインできません。で@ノブが発言 :

    WordPressのバージョン :わかりません
    ご利用のサーバー名 :エックスサーバー
    PHPのバージョン :わかりません
    OS :ウインドウズ10
    ご利用のブラウザ :クローム
    該当サイトのURL :https://speedfreak77.com/



  • PHPのバージョンは7.3.14です。



  • WordPressのバージョンは4.7.2です。



  • 本エラーの原因の可能性としては

    1 . WordPressバージョンがかなり古い
    2 . 独自カスタマイズをしていてそれが干渉している
    3 . 最新のJIN側の何らかの問題

    などなど、、が考えられますね。
    不具合が一旦解消したら、1を取り急ぎアップデートしていただければと。

    --

    取り急ぎの対応としては、

    ・FTPツールを使ってJINテーマを削除
    ・FTPツールで旧VerのJINをアップロード

    といったJINのダウングレードご対応いただくことで改善するのではないかと思います。
    方法をいかに記載します。

    1 . XSERVERをお使いだと思いますが、こちらの方法でFTP(ファイルマネージャー)を起動します。
    https://tsuchiyashutaro.com/archives/14998

    2 . 「public_html > wp-content >themes 」の順番に進むとJINテーマのファイルがあります。JIN(最新版)にチェックを入れて削除しましょう

    0_1585617623037_スクリーンショット 2020-03-31 10.18.50.png

    3 . 同じ画面内に「ファイルのアップロード」がありますので、ここに旧VerのJINをアップロードします。

    アップデートに際してバックアップデータを取っている場合は、ここにバックアップしているJINテーマファイルを入れてください。

    バックアップを取っていなかった場合は、以下のページから旧VerのJINをダウンロードして、それをアップロードしてください。
    https://jin-theme.com/ver-list/

    4 . これでダウングレードが完了しますので、サイトにログインできるようになったか確認します。(ブラウザキャッシュは削除して確認してください。)

    こちらで直りそうかご確認いただけますでしょうか?



  • 詳細なご説明ありがとうございます。
    手順通り確認してみます。
    ありがとうございますm(__)m



  • 補足となりますが、こちらの方法でも改善する可能性はあるので、まずこっちをやってもらってもいいかもしれません!

    1 . XSERVERをお使いだと思いますが、こちらの方法でFTP(ファイルマネージャー)を起動します。
    https://tsuchiyashutaro.com/archives/14998

    2 . 「public_html > wp-content >themes 」の順番に進むとJINテーマのフォルダがあります。

    3 . JINテーマフォルダのfunctions.phpにチェックを入れて「編集」に進み、内容を旧VerのJINテーマのfunctions.phpのものにコピペして置き換える。



  • 直りました!!!
    ヒツジさん、まことにありがとうございます!!!
    手順通りjinの古いバージョンに戻したら復活しました。
    ワードプレスのバージョンはエックスサーバーでは、”4.7.2”となってましたが、ログイン後に確認しましたら最新の”5.3.2–ja”になっておりました。
    カスタマイズは子テーマでリンカーのみです。
    とりあえず現状で問題はなさそうです。
    本当にありがとうございました!!


 

});